﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WindowsFormsApplication1
{
    class Action
    {


        public static Game.Actions StringtoAction(string a)//Translate string to our action enumeration
        {
            switch (a.ToUpper())
            {
                case "1": return Game.Actions.forward_one;
                case "2": return Game.Actions.forward_two;
                case "3": return Game.Actions.forward_three;
                case "L": return Game.Actions.rotate_left;
                case "R": return Game.Actions.rotate_right;
                case "Z": return Game.Actions.backward;
                default: return Game.Actions.error;//An error ocured....
            }
        
        }

        public static Game.Actions[] StringtoActionList(string a)//Translate two or more actions to enum
        {
            List<Game.Actions> ret = new List<Game.Actions>();
            foreach (char c in a)
            {
                string s = c.ToString();
                if (StringtoAction (s) != Game.Actions.error)
                 ret.Add (StringtoAction (s));
            }
            return ret.ToArray();     
        }

        public static string ActionListtoString(Game.Actions[] a) //Translate arrray of enums to string
        {
            string ret = "";
            foreach (Game.Actions c in a)
            {
                ret += ActiontoString(c);
            }
            return ret;
        }

        public static string ActiontoString(Game.Actions a)
        {
            switch (a)
            {  
                case Game.Actions.forward_one:return "1";
                case Game.Actions.forward_two: return "2";
                case Game.Actions.forward_three:return "3";
                case Game.Actions.rotate_left:return "L";
                case Game.Actions.rotate_right: return "R";
                case  Game.Actions.backward:return "Z";
                default:
                    break;
            }
            return null;
        }

    }
}
